<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">

<script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
<script src="sweetalert2.all.min.js"></script>
<script src="sweetalert2.min.js"></script>
<link rel="stylesheet" href="sweetalert2.min.css">

<head>
    <meta charset="UTF-8">
    <title>Matriculation</title>
</head>
<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">List</h5>
                                        <span class="h2 font-weight-bold mb-0">Matriculation Program </span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-calendar"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
    <div class="container-fluid mt--7">

        <!-- Table -->
        <div class="row">
            <div class="col-md-12">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <div class="row align-items-center">
                            <div class="col">
                                <h3 class="mb-0">Pembinaan <span th:text="${mhs.nama}"></span> | <span th:text="${mhs.nim}"></span></h3>
                                <hr>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-12">
                        <div class="card shadow">
                            <div class="card-header border-0">
                                <div class="row align-items-center">
                                    <div class="col">
                                        <h3 class="mb-0">Data Rekam Mahasiswa</h3>
                                    </div>
                                </div>
                            </div>
                            <div class="card-body">
                                <div class="row">



                                    <div class="col-md-12">

                                        <div th:if="${mhs.jenisKelamin == mhs.jenisKelamin.PRIA}">
                                            <p><img class="img-fluid"  width="200px" src="https://image.flaticon.com/icons/png/512/4392/4392947.png" alt="card image"></p>
                                        </div>
                                        <div th:if="${mhs.jenisKelamin == mhs.jenisKelamin.WANITA}">
                                            <p><img class="img-fluid"  width="200px" src="https://image.flaticon.com/icons/png/512/4264/4264378.png" alt="card image"></p>
                                        </div>
                                    </div>

                                </div>
                                <br>
                                <div class="row">
                                    <div class="col-md-4">
                                        <label>Nama</label>
                                        <h4 th:text="${mhs.nama}">Muhammad Arif Rahmatullah</h4>
                                    </div>
                                    <div class="col-md-4">
                                        <label>NIM</label>
                                        <h4 th:text="${mhs.nim}">18120029</h4>
                                    </div>
                                    <div class="col-md-4">
                                        <label>NIK</label>
                                        <h4 th:if="${mhs.nik} == null">-</h4>
                                        <h4 th:text="${mhs.nik}"></h4>
                                    </div>
                                </div>
                                <br>
                                <div class="row">
                                    <div class="col-md-4">
                                        <label>TTL</label>
                                        <h4 th:text="${mhs.tempatLahir}">Bogor, 29 November 2000</h4>
                                    </div>

                                    <div class="col-md-4">
                                        <label>Alamat</label>
                                        <h4 th:if="${mhs.namaJalan} == null">-</h4>
                                        <h4 th:if="${mhs.idKelurahan != null || mhs.namaJalan != null}" th:text="${mhs.namaJalan + ' Rt.' + mhs.rt + '/Rw.' + mhs.rw + ' Desa ' + mhs.idKelurahan + ' Kec. ' + mhs.idKecamatan + ' ' + mhs.idKotaKabupaten }">Bogor</h4>
                                    </div>

                                    <div class="col-md-4">
                                        <label>No. HP</label>
                                        <h4 th:if="${mhs.teleponSeluler} == null">-</h4>
                                        <h4><a th:href="${url}" th:text="${mhs.teleponSeluler}">085819531387</a></h4>
                                    </div>

                                </div>
                                <br>
                                <div class="row">
                                    <div class="col-md-4">
                                        <label>Program Studi</label>
                                        <h4><a th:href="${urlProdi}" th:text="${mhs.idProdi.namaProdi}">Ekonomi Syariah</a></h4>
                                    </div>

                                    <div class="col-md-4">
                                        <label>Kelas Program Studi</label>
                                        <h4 th:text="${kelas.kelas.namaKelas}">-</h4>
                                    </div>

                                    <div class="col-md-4">
                                        <label>Tahun Akademik Masuk</label>
                                        <h4>2019</h4>
                                    </div>

                                </div>
                                <br>
                                <div class="row">
                                    <div class="col-md-4">
                                        <label>Asal Program Studi</label>
                                        <h4 th:text="${mhs.idProdi.namaProdi}">-</h4>
                                    </div>
                                    <div class="col-md-4">
                                        <label>Asal Perguruan Tinggi Sebelumnya</label>
                                        <h4>-</h4>
                                    </div>
                                    <div class="col-md-4">
                                        <label>Dosen Wali</label>
                                        <h4 th:if="${mhs.dosen} == null">-</h4>
                                        <h4 th:if="${mhs.dosen.karyawan} != null" th:text="${mhs.dosen.karyawan.namaKaryawan}">Sopian Lc, MA</h4>
                                    </div>
                                </div>
                                <br>
                                <div class="row">
                                    <div class="col-md-4">
                                        <label>Email Tazkia</label>
                                        <h4 th:text="${mhs.emailTazkia}">-</h4>
                                    </div>
                                    <div class="col-md-4">
                                        <label>Email Pribadi</label>
                                        <h4 th:text="${mhs.emailPribadi}">-</h4>
                                    </div>
                                    <div class="col-md-4">
                                        <label>Beasiswa</label>
                                        <h4 th:if="${mhs.beasiswa != null}" th:text="${mhs.beasiswa.namaBeasiswa}">-</h4>
                                        <h4 th:if="${mhs.beasiswa == null}" th:text="${'-'}">-</h4>
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="card-body">
                            <div class="card" style="margin-bottom: 5px;" >
                                <div class="card-header border-0">

                                        <div class="form-group">
                                            <div class="row">

                                                <div class="col-md-12 col-xs-12">
                                                    <form method="get">
                                                        <label >Tahun Akademik</label>
                                                        <input type="hidden" name="nim" th:value="${mhs.nim}"/>
                                                        <select class="form-control js-example-placeholder-single" name="tahunAkademik">
                                                            <option value="" th:text="${thn.namaTahunAkademik}" th:value="${thn.id}" th:if="${thn != null}"></option>
                                                            <option value="" th:if="${thn == null}" disabled selected>Pilih Semester Disini</option>
                                                            <option value="" disabled>Pilih Tahun Akademik Lain</option>
                                                            <option th:each="data : ${tahunAkademikList}"
                                                                    th:text="${data.namaTahunAkademik}"
                                                                    th:value="${data.id}">STEI Tazkia</option>
                                                        </select>
                                                        <br>
                                                        <br>
                                                        <button type="submit" class="btn btn-sm btn-primary">Pilih Semester</button>
                                                        <a th:href="@{/report/historymahasiswa (nim = ${mhs.nim})}" class="btn btn-sm btn-default" sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_KPS') or hasAuthority('VIEW_AKADEMIK2')" >
                                                            <i class="fas fa-plus-circle" ></i> Kembali</a>
                                                    </form>
                                                </div>



                                            </div>
                                        </div>

                                </div>
                                <div class="table-responsive">
                                    <table class="table align-items-center table-flush">
                                        <thead class="thead-light">
                                        <tr>
                                            <th>#</th>
                                            <th>Nama</th>
                                            <th>Detail</th>
                                            <th></th>
                                            <th sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_KPS') or hasAuthority('VIEW_AKADEMIK2')" >Status</th>
                                            <th></th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        <h1 th:if="${thn == null}" style="color:#ffa640;text-align:center">Silahkan Pilih Tahun Akademik</h1>
                                        <hr th:if="${thn == null}">
                                        <tr th:each="pem, row:${pembinaanList}" th:if="${thn != null}">
                                            <td th:text="${(row.index + 1 + '.')}" style="vertical-align: top;"></td>
                                            <td  th:text="${pem.namaPembinaan}" style="white-space: pre-wrap; vertical-align: top;"></td>
                                            <td>
                                                <table class="table" >
                                                    <thead>
                                                    <tr>
<!--                                                        <th>#</th>-->
                                                        <th>Detail</th>
                                                        <th>Nilai</th>
                                                        <th>Keterangan</th>
                                                        <th></th>
                                                    </tr>
                                                    </thead>
                                                    <tbody>
                                                    <tr th:each="pemdet, row:${pembinaanDetail}">
                                                        <span th:if="${pem.id == pemdet.jenisPembinaanMatrikulasi.id}">
<!--                                                            <td th:text="${(row.index + 1 + '.')}" style="vertical-align: top;"></td>-->
                                                            <td  style="white-space: pre-wrap" th:text="${pemdet.namaPembinaanMatrikulasiDetail}"></td>
                                                            <td  style="white-space: pre-wrap" th:text="${pemdet.nilai}"></td>
                                                            <td  style="white-space: pre-wrap" th:text="${pemdet.keterangan}"></td>
                                                            <td >
                                                                <form th:if="${currentUser == pemdet.user}"  th:action="@{/pembinaanDetail/delete}" method="post">
                                                                    <input type="hidden" th:value="${pemdet.id}" name="id">
                                                                    <input type="hidden" th:value="${mhs.nim}" name="mahasiswa">
                                                                    <button  class="btn btn-danger btn-sm"><i class="fa fa-trash"></i></button>
                                                                </form>
                                                            </td>
                                                        </span>
                                                    </tr>
                                                    </tbody>
                                                </table>
                                            </td>
                                            <td style="vertical-align: top;" >
                                                <button type="button" class="btn btn-primary btn-sm" data-toggle="modal" th:data-target="${'#exampleModal' + pem.id}">
                                                    <i class="fa fa-plus-circle"></i> Add Detail
                                                </button>

                                                <!-- Modal -->
                                                <div class="modal fade" th:id="${'exampleModal' + pem.id}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                  <form th:action="@{/pembinaanDetail/detail}" method="post">
                                                    <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
                                                        <div class="modal-content">
                                                            <div class="modal-header">
                                                                <h5 class="modal-title" id="exampleModalLabel">Tambah</h5>
                                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                    <span aria-hidden="true">&times;</span>
                                                                </button>
                                                            </div>

                                                            <div class="modal-body">
                                                                <div class="form-group" id ="elements">
                                                                    <div class="row" id="Meal_00">

                                                                        <div class="col-md-4 col-xs-12">
                                                                            <div class='some-repeating-fields' >
                                                                                <label>Detail</label>
                                                                                <input type="text" class="form-control" id="Field_00" name="namaPembinaanMatrikulasiDetail">
                                                                            </div>

                                                                        </div>
                                                                        <div class="col-md-4 col-xs-12">
                                                                            <div class='some-repeating-fields' >
                                                                                <label>Nilai</label>
                                                                                <input type="text" class="form-control" name="nilai">
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-md-4 col-xs-12">
                                                                            <div class='some-repeating-fields'  >
                                                                                <label>Keterangan</label>
                                                                                <input type="text" class="form-control" name="keterangan">
                                                                            </div>
                                                                        </div>
                                                                        <input type="hidden" th:value="${pem.id}" name="jenisPembinaanMatrikulasi">
                                                                        <input type="hidden" th:value="${mhs.id}" name="mahasiswa">
                                                                        <input type="hidden" th:value="${thn.id}" name="tahunAkademik">
                                                                    </div>

                                                                </div>

<!--                                                                <button id="btn" class="btn btn-primary">ADD</button>-->

                                                            </div>

                                                            <input type="hidden" name="id">
                                                            <div class="modal-footer">
                                                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                                                <button type="submit" class="btn btn-primary">Save changes</button>
                                                            </div>
                                                        </div>
                                                    </div>
                                                 </form>

                                                </div>
                                            </td>
                                            <td style="vertical-align: top;">
                                                <span class="btn btn-success btn-sm" sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_KPS') or hasAuthority('VIEW_AKADEMIK2')" >AKTIF</span>
                                            </td>
                                            <td style="vertical-align: top;">
                                                <form method="post">
                                                    <button sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_KPS') or hasAuthority('VIEW_AKADEMIK2')" class="btn btn-danger btn-sm"><i class="fa fa-trash"></i></button>
                                                </form>
                                            </td>
                                        </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                    </div>


                </div>
            </div>
        </div>

        <!-- Dark table -->

    </div>
</div>
</body>
</html>
<script>

    $(".js-example-placeholder-single").select2({
        allowClear: true
    });

</script>
